Bug 52965 - xdelta ignores --maxmem
xdelta ignores --maxmem
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: xdelta (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-31 14:01 EDT by Tim Waugh
Modified: 2013-07-02 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 09:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2001-08-31 14:01:55 EDT
Description of Problem:
xdelta ignores the --maxmem option.

Version-Release number of selected component (if applicable):
1.1.1-11

How Reproducible:
100%

Steps to Reproduce:
1. xdelta delta --maxmem=16M largefile1 largefile2 deltafile
2. See how much memory it's taking.

Actual Results:
It takes more than 16M.

Expected Results:
It takes at most 16M.

Additional Information:
Comment 1 Jindrich Novy 2005-09-08 09:50:43 EDT
Tim, I had a look into it for a while and considered the --maxmem option broken
anyway as it refuses to allocate more than 108 (1MB) pages and if you define
--maxmem=128M while diffing some large files, everything will work fine up to
108 pages are allocated for the xdelta's LRU cache. After this limit xdelta
slows down significantly as it then considers it has no cached pages.

I filed this bug upstream:
http://sourceforge.net/tracker/?func=detail&atid=106966&aid=1284923&group_id=6966

Note You need to log in before you can comment on or make changes to this bug.